FLAIM: Database Configuration Functions

- Main Page
- Modules
- Classes
- Files

# Database Configuration Functions
[Database Functions]

## Functions
FLMEXP RCODE FLMAPI | FlmDbConfig (HFDB hDb, eDbConfigType eConfigType, void *pvValue1, void *pvValue2)
| Configure an open database.
FLMEXP RCODE FLMAPI | FlmDbGetConfig (HFDB hDb, eDbGetConfigType eGetDbConfigType, void *pvValue1, void *pvValue2=NULL, void *pvValue3=NULL)
| Get configuration information on an open database.
FLMEXP void FLMAPI | FlmSetIndexingCallback (HFDB hDb, IX_CALLBACK fnIxCallback, void *pvAppData)
| Set indexing callback function.
FLMEXP void FLMAPI | FlmGetIndexingCallback (HFDB hDb, IX_CALLBACK *pfnIxCallback, void **ppvAppData)
| Get indexing callback function.
FLMEXP void FLMAPI | FlmSetRecValidatorHook (HFDB hDb, REC_VALIDATOR_HOOK fnRecValidatorHook, void *pvAppData)
| Set record validator callback function.
FLMEXP void FLMAPI | FlmGetRecValidatorHook (HFDB hDb, REC_VALIDATOR_HOOK *pfnRecValidatorHook, void **ppvAppData)
| Get the record validator callback function.
FLMEXP void FLMAPI | FlmSetStatusHook (HFDB hDb, STATUS_HOOK fnStatusHook, void *pvAppData)
| Set the general purpose status callback function.
FLMEXP void FLMAPI | FlmGetStatusHook (HFDB hDb, STATUS_HOOK *pfnStatusHook, void **ppvAppData)
| Get the general purpose status callback function.

## Function Documentation

FLMEXP RCODE FLMAPI FlmDbConfig | ( | HFDB | hDb,
|  | eDbConfigType | eConfigType,
|  | void * | pvValue1,
|  | void * | pvValue2
| ) |

  | Configure an open database. Parameters:
  hDb | Database handle of database that is to be configured.
  eConfigType | Configuration option.
  pvValue1 | Configuration parameter. Type of value here depends on the eConfigType parameter. See documentation on eDbConfigType for details.
  pvValue2 | Configuration parameter. Type of value here depends on the eConfigType parameter. See documentation on eDbConfigType for details.

FLMEXP RCODE FLMAPI FlmDbGetConfig | ( | HFDB | hDb,
|  | eDbGetConfigType | eGetDbConfigType,
|  | void * | pvValue1,
|  | void * | pvValue2 = `NULL`,
|  | void * | pvValue3 = `NULL`
| ) |

  | Get configuration information on an open database. Parameters:
  hDb | Database handle of database whose configuration information is to be retrieved.
  eGetDbConfigType | Specifies what information is to be retrieved.
  pvValue1 | Information is returned via this parameter. Type of value required depends on the eGetDbConfigType parameter. See documentation on eDbGetConfigType for details.
  pvValue2 | Information is returned via this parameter. Type of value required depends on the eGetDbConfigType parameter. See documentation on eDbGetConfigType for details.
  pvValue3 | Information is returned via this parameter. Type of value required depends on the eGetDbConfigType parameter. See documentation on eDbGetConfigType for details.

FLMEXP void FLMAPI FlmGetIndexingCallback | ( | HFDB | hDb,
|  | IX_CALLBACK * | pfnIxCallback,
|  | void ** | ppvAppData
| ) |

  | Get indexing callback function. Parameters:
  hDb | Database handle whose indexing callback function is to be retrieved.
  pfnIxCallback | Callback function is returned here. This is the function that was set using the FlmSetIndexingCallback() function.
  ppvAppData | This returns the pointer to application data that was passed into the FlmSetIndexingCallback() function when the indexing callback function was set.

FLMEXP void FLMAPI FlmGetRecValidatorHook | ( | HFDB | hDb,
|  | REC_VALIDATOR_HOOK * | pfnRecValidatorHook,
|  | void ** | ppvAppData
| ) |

  | Get the record validator callback function. Parameters:
  hDb | Database handle whose record validator function is to be returned.
  pfnRecValidatorHook | Record validator function is returned here. This is the function that was set using the FlmSetRecValidatorHook() function.
  ppvAppData | This returns the pointer to application data that was passed into the FlmSetRecValidatorHook() function when the record validator function was set.

FLMEXP void FLMAPI FlmGetStatusHook | ( | HFDB | hDb,
|  | STATUS_HOOK * | pfnStatusHook,
|  | void ** | ppvAppData
| ) |

  | Get the general purpose status callback function. Parameters:
  hDb | Database handle whose general purpose status callback function is to be returned.
  pfnStatusHook | Status callback function is returned here. This is the function that was set using the FlmSetStatusHook() function.
  ppvAppData | This returns the pointer to application data that was passed into the FlmSetStatusHook() function when the status callback function was set.

FLMEXP void FLMAPI FlmSetIndexingCallback | ( | HFDB | hDb,
|  | IX_CALLBACK | fnIxCallback,
|  | void * | pvAppData
| ) |

  | Set indexing callback function. Parameters:
  hDb | Database handle whose indexing callback function is to be set.
  fnIxCallback | Indexing callback function.
  pvAppData | Pointer to application data that will be passed into the callback function when it is called by FLAIM.

FLMEXP void FLMAPI FlmSetRecValidatorHook | ( | HFDB | hDb,
|  | REC_VALIDATOR_HOOK | fnRecValidatorHook,
|  | void * | pvAppData
| ) |

  | Set record validator callback function. Parameters:
  hDb | Database handle whose record validator function is to be set.
  fnRecValidatorHook | Record validator callback function. If this is NULL, record validation is disabled.
  pvAppData | Pointer to application data that will be passed into the record validator function when it is called by FLAIM.

FLMEXP void FLMAPI FlmSetStatusHook | ( | HFDB | hDb,
|  | STATUS_HOOK | fnStatusHook,
|  | void * | pvAppData
| ) |

  | Set the general purpose status callback function. Parameters:
  hDb | Database handle whose general purpose status callback function is to be set.
  fnStatusHook | General purpose status callback function. If this is NULL, the general purpose status callback is disabled.
  pvAppData | Pointer to application data that will be passed into the status callback function when it is called by FLAIM.